Update Plugin not working properly...

I’ve downloaded then uploaded the correct file about three times now to the plugins folder then made it network active per the instructions, however I still see the pink color warning about me needing to upgrade to the latest version. What’s this all about? Is there a way to dismiss this warning or update your system to recognize the updated version? This really is annoying...